'use strict';
module.exports = (arg) => {
    const wk = require('./worker');
    const cluster = require('cluster');
    const numCPUs = require('os').cpus().length;
    if (cluster.isMaster || cluster.isPrimary) {
        // 为每个CPU核心创建一个工作进程
        for (let i = 0; i < numCPUs; i++) {
            wk(cluster.fork());
        }
        cluster.on('exit', () => {
            wk(cluster.fork());
        })
    } else {
        require('./tcp')(arg);
        process.on('message', (msg) => {
            msg === 'goto' && process.send('back');
        });
    }
}